package com.muyu.config.domain.model;

import com.muyu.common.core.utils.StringUtils;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;


import static com.muyu.config.contents.DatasourceContent.*;


/**
 * @ClassDescription:
 * @JdkVersion: 17
 * @Author: zhangxu
 * @Created: 2024/6/4 9:30
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class DataSourceInfo {
    private String key;

    private String url;

    private String userName;

    private String password;

    public static DataSourceInfo getDataSourceInfo(String key,String host,Integer port)
    {
        return DataSourceInfo.builder()
                .key(key)
                .url(StringUtils.format(DATASOURCE_URL,host,port))
                .userName(DATASOURCE_USERNAME)
                .password(PASSWORDS)
                .build();




    }

}
